Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.26
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.bcpg
Class DSAPublicBCPGKey

    java.lang.Object
      org.bouncycastle.bcpg.BCPGObject
          org.bouncycastle.bcpg.DSAPublicBCPGKey

All Implemented Interfaces:
  BCPGKey

public class DSAPublicBCPGKey
extends BCPGObject
implements BCPGKey

base class for an DSA Public Key.

Constructor Summary
`DSAPublicBCPGKey(BCPGInputStream in)`
`DSAPublicBCPGKey(java.math.BigInteger p, java.math.BigInteger q, java.math.BigInteger g, java.math.BigInteger y)`

Method Summary
`void` | `encode(BCPGOutputStream out)`
`byte[]` | `getEncoded()` return the standard PGP encoding of the key.
`java.lang.String` | `getFormat()` return "PGP"
`java.math.BigInteger` | `getG()`
`java.math.BigInteger` | `getP()`
`java.math.BigInteger` | `getQ()`
`java.math.BigInteger` | `getY()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DSAPublicBCPGKey

    public DSAPublicBCPGKey(BCPGInputStream in)
                     throws java.io.IOException

Parameters:
  `in` - the stream to read the packet from.

### DSAPublicBCPGKey

    public DSAPublicBCPGKey(java.math.BigInteger p,
                            java.math.BigInteger q,
                            java.math.BigInteger g,
                            java.math.BigInteger y)

Method Detail

### getFormat

    public java.lang.String getFormat()

  return "PGP"

  Specified by:
    `getFormat` in interface `BCPGKey`
  Returns:
    "RAW" or "PGP"
  See Also:
    `BCPGKey.getFormat()`

### getEncoded

    public byte[] getEncoded()

  return the standard PGP encoding of the key.

  Specified by:
    `getEncoded` in interface `BCPGKey`
  Overrides:
    `getEncoded` in class `BCPGObject`
  See Also:
    `BCPGKey.getEncoded()`

### encode

    public void encode(BCPGOutputStream out)
                throws java.io.IOException

  Specified by:
    `encode` in class `BCPGObject`
  Throws:
    `java.io.IOException`

### getG

    public java.math.BigInteger getG()

  Returns:
    g

### getP

    public java.math.BigInteger getP()

  Returns:
    p

### getQ

    public java.math.BigInteger getQ()

  Returns:
    q

### getY

    public java.math.BigInteger getY()

  Returns:
    g

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.26
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD